CREATE TABLE if not exists moneyitem
(
    workshiftid UInt32,
    storeId String,
    shopcode Nullable(String),
    cashId String,
    cashcode String,
    shiftnum UInt32,
    time_beg DateTime,
    documentid UInt32,
    checknum UInt32,
    closed UInt8,
    doctype UInt8,
    time_open DateTime,
    time_close DateTime,
    identifier String,
    docSum String,
    moneyitemid UInt32,
    opcode UInt8,
    valcode UInt8,
    sumb Decimal(13,2),
    scode String,
    mtime Nullable(DateTime),
    username String
) ENGINE = MergeTree() PRIMARY KEY (workshiftid, documentid, moneyitemid, cashId) PARTITION BY toYYYYMMDD(time_beg) ORDER BY (workshiftid, documentid, moneyitemid, cashId, cashcode)